Avenants
Lister les avenants d'un contrat
Liste paginée des avenants du contrat (filtre forcé sur contract.id).
Authorization
bearerAuth COMPANY_ADMIN, BROKER_ADMIN, SOUSCRIPTEUR, SUPERVISEUR, ACCOUNTANT, CLAIMS_HANDLER, BROKER_USERAuthorizationBearer <token>
Jeton obtenu via POST /provider/token. Les valeurs listées par opération sont les rôles acceptés.
In: header
Scope: COMPANY_ADMIN, BROKER_ADMIN, SOUSCRIPTEUR, SUPERVISEUR, ACCOUNTANT, CLAIMS_HANDLER, BROKER_USER
Path Parameters
contractId*string
Query Parameters
page?integer
Numéro de page (commence à 0).
Default
0size?integer
Taille de page.
Default
10filter[status]?string
QUOTE | PENDING_PAYMENT | PAID | ISSUED | CANCELLED
filter[endorsementType.endorsementCode]?string
Code du type d'avenant.
filter[premiumImpact]?string
INCREASE | DECREASE | NEUTRAL | RECALCULATE
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://apigw-pp.pooltpv.app/subscription/api/v1/provider/contracts/string/endorsements"[
{
"id": "string",
"contractId": "string",
"endorsementTypeId": "string",
"endorsementCode": "AFFAIRE_NOUVELLE",
"companyId": "string",
"brokerId": "string",
"premiumId": "string",
"durationId": "string",
"payload": {},
"sequenceNumber": 0,
"reference": "AV-AFFAIRE_NOUVELLE-1791274717947",
"paymentReference": "pi_91cb5dddcb204a959396ab0f",
"paymentLink": "string",
"orderNumber": "string",
"effectiveDate": "2026-10-06T08:38:39",
"coverageStart": "2026-10-06T08:38:39",
"coverageEnd": "2026-10-06T08:38:39",
"status": "QUOTE",
"premiumImpact": "INCREASE",
"premiumDelta": 0,
"reasonId": "string",
"reasonCode": "string",
"reasonComment": "string",
"changes": {},
"headerSnapshot": {},
"vehicleChanges": {},
"vehiclesAdded": 0,
"vehiclesRemoved": 0,
"issuedAt": "2026-10-06T08:38:39",
"cancelledAt": "2026-10-06T08:38:39",
"createdDate": "2026-10-06T08:38:39",
"lastModifiedDate": "2026-10-06T08:38:39"
}
]{
"status": 404,
"title": "Élément introuvable",
"detail": "Contract not found",
"exception": "CONTRACT_NOT_FOUND",
"instance": "/api/v1/provider/contracts/abc",
"details": {
"property1": "string",
"property2": "string"
}
}{
"status": 404,
"title": "Élément introuvable",
"detail": "Contract not found",
"exception": "CONTRACT_NOT_FOUND",
"instance": "/api/v1/provider/contracts/abc",
"details": {
"property1": "string",
"property2": "string"
}
}{
"status": 404,
"title": "Élément introuvable",
"detail": "Contract not found",
"exception": "CONTRACT_NOT_FOUND",
"instance": "/api/v1/provider/contracts/abc",
"details": {
"property1": "string",
"property2": "string"
}
}{
"status": 404,
"title": "Élément introuvable",
"detail": "Contract not found",
"exception": "CONTRACT_NOT_FOUND",
"instance": "/api/v1/provider/contracts/abc",
"details": {
"property1": "string",
"property2": "string"
}
}